# Moving Avg

generates moving averages per column and per window size

## Parameters

| Name           | Type         | Description                                                                | Is Optional |
| -------------- | ------------ | -------------------------------------------------------------------------- | ----------- |
| input\_columns | column\_list | names of column(s) you want to moving average                              |             |
| window\_sizes  | int\_list    | the integer values for window sizes you want to use in your moving average |             |
| order\_by      | column\_list | columns to order by, typically the date index of the table                 |             |
| partition      | column\_list | columns to partition the moving average by                                 |             |

## Example

```python
ds = rasgo.get.dataset(id)

ds2 = ds.moving_avg(input_columns=['OPEN','CLOSE','HIGH','LOW'], window_sizes=[1,2,3,7], order_by=['DATE, 'TICKER'], partition=['TICKER'])
ds2.preview()
```

## Source Code

{% embed url="<https://github.com/rasgointelligence/RasgoTransforms/blob/main/rasgotransforms/rasgotransforms/transforms/moving_avg/moving_avg.sql>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rasgoml.com/rasgo-docs/rasgo-0.1/all-transforms/moving_avg.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
